
From: Vladimir Saveliev <vs@namesys.com>

unix_file_filemap_nopage: missing context creation is added

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/plugin/file/file.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN fs/reiser4/plugin/file/file.c~reiser4-missing-context-creation-is-added fs/reiser4/plugin/file/file.c
--- 25/fs/reiser4/plugin/file/file.c~reiser4-missing-context-creation-is-added	2004-11-17 00:49:07.302546944 -0800
+++ 25-akpm/fs/reiser4/plugin/file/file.c	2004-11-17 00:49:07.307546184 -0800
@@ -1959,8 +1959,10 @@ unix_file_filemap_nopage(struct vm_area_
 {
 	struct page *page;
 	struct inode *inode;
+	reiser4_context ctx;
 
 	inode = area->vm_file->f_dentry->d_inode;
+	init_context(&ctx, inode->i_sb);
 
 	/* block filemap_nopage if copy on capture is processing with a node of this file */
 	down_read(&reiser4_inode_data(inode)->coc_sem);
@@ -1970,6 +1972,8 @@ unix_file_filemap_nopage(struct vm_area_
 
 	drop_nonexclusive_access(unix_file_inode_data(inode));
 	up_read(&reiser4_inode_data(inode)->coc_sem);
+
+	reiser4_exit_context(&ctx);
 	return page;
 }
 
_
